org.eclipse.emf.cdo.server.embedded

## Class CDOEmbeddedRepositoryConfig

- java.lang.Object
- - org.eclipse.net4j.util.event.Notifier
  - - org.eclipse.net4j.util.lifecycle.Lifecycle
    - - org.eclipse.emf.cdo.server.embedded.CDOEmbeddedRepositoryConfig

- All Implemented Interfaces:
    INotifier, IDeactivateable, ILifecycle, ILifecycle.DeferrableActivation

      public abstract class CDOEmbeddedRepositoryConfig
      extends Lifecycle

  Since:
    4.6
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

      `ILifecycle.DeferrableActivation`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

      `USE_LABEL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CDOEmbeddedRepositoryConfig(java.lang.String repositoryName)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `activateRepository(IRepository repository)`
    `void` | `afterFirstStart(IRepository repository)` Subclasses may override.
    `void` | `afterReStart(IRepository repository)` Subclasses may override.
    `IAcceptor` | `createAcceptor(IManagedContainer container)` Subclasses may override.
    `IConnector` | `createConnector(IManagedContainer container)` Subclasses may override.
    `CDONet4jSessionConfiguration` | `createSessionConfiguration(IConnector connector, CDOBranchManager branchManager, CDORevisionManager revisionManager)` Subclasses may override.
    `abstract IStore` | `createStore(IManagedContainer container)`
    `protected void` | `deactivateRepository()`
    `protected void` | `doActivate()`
    `protected void` | `doDeactivate()`
    `IManagedContainer` | `getContainer()` Subclasses may override.
    `IRepository` | `getRepository()`
    `void` | `initPackages(IRepository repository, java.util.List<EPackage> packages)` Subclasses may override.
    `abstract void` | `initProperties(IManagedContainer container, java.util.Map<java.lang.String,java.lang.String> properties)`
    `boolean` | `isInitialPackage(IRepository repository, java.lang.String nsURI)` Subclasses may override.
    `void` | `modifySession(IRepository repository, CDONet4jSession session)` Subclasses may override.
    `CDONet4jSession` | `openClientSession()`

    - ### Methods inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

      `activate, checkActive, checkArg, checkArg, checkInactive, checkNull, checkState, checkState, deactivate, deferredActivate, doAfterActivate, doBeforeActivate, doBeforeDeactivate, dump, getLifecycleState, isActive, isDeferredActivation, toString`

    - ### Methods inherited from class org.eclipse.net4j.util.event.Notifier

      `addListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListeners, lastListenerRemoved, removeListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Constructor Detail

    - #### CDOEmbeddedRepositoryConfig

          public CDOEmbeddedRepositoryConfig(java.lang.String repositoryName)

  - ### Method Detail

    - #### getRepository

          public final IRepository getRepository()

    - #### openClientSession

          public final CDONet4jSession openClientSession()

    - #### getContainer

          public IManagedContainer getContainer()

      Subclasses may override.

    - #### initPackages

          public void initPackages(IRepository repository,
                                   java.util.List<EPackage> packages)

      Subclasses may override.

    - #### isInitialPackage

          public boolean isInitialPackage(IRepository repository,
                                          java.lang.String nsURI)

      Subclasses may override.

    - #### afterFirstStart

          public void afterFirstStart(IRepository repository)

      Subclasses may override.

    - #### afterReStart

          public void afterReStart(IRepository repository)

      Subclasses may override.

    - #### modifySession

          public void modifySession(IRepository repository,
                                    CDONet4jSession session)

      Subclasses may override.

    - #### createSessionConfiguration

          public CDONet4jSessionConfiguration createSessionConfiguration(IConnector connector,
                                                                         CDOBranchManager branchManager,
                                                                         CDORevisionManager revisionManager)

      Subclasses may override.

    - #### createAcceptor

          public IAcceptor createAcceptor(IManagedContainer container)

      Subclasses may override.

    - #### createConnector

          public IConnector createConnector(IManagedContainer container)

      Subclasses may override.

    - #### createStore

          public abstract IStore createStore(IManagedContainer container)

    - #### initProperties

          public abstract void initProperties(IManagedContainer container,
                                              java.util.Map<java.lang.String,java.lang.String> properties)

    - #### activateRepository

          protected void activateRepository(IRepository repository)

    - #### deactivateRepository

          protected void deactivateRepository()

    - #### doActivate

          protected void doActivate()
                             throws java.lang.Exception

      Overrides:
        `doActivate` in class `Lifecycle`
      Throws:
        `java.lang.Exception`

    - #### doDeactivate

          protected void doDeactivate()
                               throws java.lang.Exception

      Overrides:
        `doDeactivate` in class `Lifecycle`
      Throws:
        `java.lang.Exception`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html